Bug 1003545 - storage node child resources are not created/discovered while storage undeployment-redeployment
storage node child resources are not created/discovered while storage undeplo...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.9
x86_64 Linux
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-09-02 06:23 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage-node-noChildResouces.png (99.09 KB, image/png)
2013-09-02 06:23 EDT, Armine Hovsepyan
no flags Details
childAlertDefinition-server.log (23.52 KB, text/x-log)
2013-09-02 06:24 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-02 06:23:27 EDT
Created attachment 792789 [details]
storage-node-noChildResouces.png

Description of problem:
storage node child resources are not created/discovered while storage undeployment-redeployment

Version-Release number of selected component (if applicable):
 a9245fd

How reproducible:
1 out of 2

Steps to Reproduce:
1. install and start server, storage and agent on ip1
2. install and start storage and agent on ip2 -> connect agent to server on ip1
3. uninstall storage in ip2
4. reinstall storage in ip2
5. install and start storage and agent on ip3
6. uninstall storage in ip3
7. reinstall storage in ip3
8. run discovery scan for  platform on ip3
9. uninstall storage on ip2
10. reinstall storage in ip2
11. run discovery scan for  platform on ip2

Actual results:
after step11. storage node discovered, exception in server.log on ip1 - cannot create child AlertDefinition for storage node resource under ip2
storage node child resources not present in server-gui

Expected results:
after step11. storage node discovered, child resources with corresponding AlertDefinitions created and discovered in server-gui, no exceptions in log.


Additional info:
screenshot and fragment from server.log attached
Comment 1 Armine Hovsepyan 2013-09-02 06:24:15 EDT
Created attachment 792790 [details]
childAlertDefinition-server.log
Comment 2 Jay Shaughnessy 2013-09-10 13:02:43 EDT
This series of steps seems somewhat manufactured.  It must have triggered some sort of timing issue between uninventory and alert template application for new resources.

Unfortunately, we did not log the root cause.  I've updated the exception to log the root cause if this occurs again.

Given that the issue is not clear, the repro is not 100% and the scenario seems test-oriented, I recommend closing as won't fix.

Note You need to log in before you can comment on or make changes to this bug.